using Xunit;
using FluentAssertions;

namespace raven_integration
{

    public class Privacy
    {



        /// <summary>
        ///
        /// </summary>
        [Fact]
        public async void LogShouldNotContainPrivateData()
        {
             ApiResponse a = await Util.GetAsync("AyaType", await Util.GetTokenAsync("TEST_PRIVACY_USER_ACCOUNT"));
            ApiTextResponse t = await Util.GetTextResultAsync("LogFiles/log-ayanova.txt", await Util.GetTokenAsync("TEST_PRIVACY_USER_ACCOUNT"));
            Util.ValidateHTTPStatusCode(t, 200);
            t.TextResponse.Should().NotContain("TEST_PRIVACY_USER_ACCOUNT");

        }

        //==================================================

    }//eoc
}//eons
